<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LBillingServer StructType
 * @subpackage Structs
 */
class LBillingServer extends AbstractStructBase
{
    /**
     * The hostName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $hostName;
    /**
     * The userId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $userId;
    /**
     * The password
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $password;
    /**
     * The directory
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $directory;
    /**
     * The resendOnFailure
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $resendOnFailure;
    /**
     * The billingServerProtocol
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $billingServerProtocol;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LBillingServer
     * @uses LBillingServer::setHostName()
     * @uses LBillingServer::setUserId()
     * @uses LBillingServer::setPassword()
     * @uses LBillingServer::setDirectory()
     * @uses LBillingServer::setResendOnFailure()
     * @uses LBillingServer::setBillingServerProtocol()
     * @uses LBillingServer::setUuid()
     * @param string $hostName
     * @param string $userId
     * @param string $password
     * @param string $directory
     * @param string $resendOnFailure
     * @param string $billingServerProtocol
     * @param string $uuid
     */
    public function __construct($hostName = null, $userId = null, $password = null, $directory = null, $resendOnFailure = null, $billingServerProtocol = null, $uuid = null)
    {
        $this
            ->setHostName($hostName)
            ->setUserId($userId)
            ->setPassword($password)
            ->setDirectory($directory)
            ->setResendOnFailure($resendOnFailure)
            ->setBillingServerProtocol($billingServerProtocol)
            ->setUuid($uuid);
    }
    /**
     * Get hostName value
     * @return string|null
     */
    public function getHostName()
    {
        return $this->hostName;
    }
    /**
     * Set hostName value
     * @param string $hostName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LBillingServer
     */
    public function setHostName($hostName = null)
    {
        $this->hostName = $hostName;
        return $this;
    }
    /**
     * Get userId value
     * @return string|null
     */
    public function getUserId()
    {
        return $this->userId;
    }
    /**
     * Set userId value
     * @param string $userId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LBillingServer
     */
    public function setUserId($userId = null)
    {
        $this->userId = $userId;
        return $this;
    }
    /**
     * Get password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->password;
    }
    /**
     * Set password value
     * @param string $password
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LBillingServer
     */
    public function setPassword($password = null)
    {
        $this->password = $password;
        return $this;
    }
    /**
     * Get directory value
     * @return string|null
     */
    public function getDirectory()
    {
        return $this->directory;
    }
    /**
     * Set directory value
     * @param string $directory
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LBillingServer
     */
    public function setDirectory($directory = null)
    {
        $this->directory = $directory;
        return $this;
    }
    /**
     * Get resendOnFailure value
     * @return string|null
     */
    public function getResendOnFailure()
    {
        return $this->resendOnFailure;
    }
    /**
     * Set resendOnFailure value
     * @param string $resendOnFailure
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LBillingServer
     */
    public function setResendOnFailure($resendOnFailure = null)
    {
        $this->resendOnFailure = $resendOnFailure;
        return $this;
    }
    /**
     * Get billingServerProtocol value
     * @return string|null
     */
    public function getBillingServerProtocol()
    {
        return $this->billingServerProtocol;
    }
    /**
     * Set billingServerProtocol value
     * @param string $billingServerProtocol
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LBillingServer
     */
    public function setBillingServerProtocol($billingServerProtocol = null)
    {
        $this->billingServerProtocol = $billingServerProtocol;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LBillingServer
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
